package com.zcloud.mapper.datasource.map;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;
import java.util.Map;

/**
 * 说明：重点工程处罚
 * 作者：luoxiaobao
 * 时间：2022-09-21
 * 官网：www.zcloudchina.com
 */
public interface MapEightMapper {


    List<String> getCorpinfoIds(String[] ArrayDATA_IDS);

	/**
	 * 获取柱状图
	 * @param pd
	 * @return
	 */
	List<Map<String,Object>> getEcharts(PageData pd);


	/**
	 * 获取高危作业统计数据（申请数[COUNTAPPLY]，审批中[COUNTAPPROVE]，归档[COUNTARCHIVE]）
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	PageData statisticsHighRiskWorkByState(PageData pd);


	/**
	 * 作业实时情况展示
	 * @param page
	 * @return
	 * @throws Exception
	 */
	List<PageData> realTimeHighRiskWorklistPage(Page page);


	/**动火查询数据（有坐标数据）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getHOTWORKHighRiskWorkLocation(PageData pd);

	/**临时用电查询数据（有坐标数据）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getELECTRICITYHighRiskWorkLocation(PageData pd);

	/**盲板查询数据（有坐标数据）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getBLINDBOARDHighRiskWorkLocation(PageData pd);

	/**高处作业查询数据（有坐标数据）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getHIGHWORKHighRiskWorkLocation(PageData pd);

	/**有限空间作业查询数据（有坐标数据）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getCONFINEDSPACEHighRiskWorkLocation(PageData pd);

	/**吊装作业查询数据（有坐标数据）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getHOISTINGHighRiskWorkLocation(PageData pd);







	/**动火查询数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdHOTWORK(PageData pd);

	/**
	 * 动火数据
	 * @param pd
	 * @return
	 */
	List<PageData> listAlldelayed(PageData pd);

	/**
	 * 动火数据
	 * @param pd
	 * @return
	 */
	List<PageData> listAllcuoshiHOTWORK(PageData pd);
	/**动火措施查询
	 * @param pd
	 * @return
	 */
	List<PageData> listAllMeasuresHOTWORK(PageData pd);

	/**动火
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**动火审批详情
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getList(PageData pd);


	/**动火
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllMeasures(PageData pd);

	/**动火查询数据列表
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllHOTWORK(PageData pd);

	/**临时用电查询数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdELECTRICITY(PageData pd);

	/**临时用电措施查询
	 * @param pd
	 * @return
	 */
	List<PageData> listAllMeasuresELECTRICITY(PageData pd);

	/**盲板查询数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdBLINDBOARD(PageData pd);

	/**通过id数据经纬度 盲板
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdJWD(PageData pd);

	/**盲板图片查询
	 * @param pd
	 * @return
	 */
	List<PageData> listAllBLINDBOARD(PageData pd);

	/**高处作业查询数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdHIGHWORK(PageData pd);

	/**高处作业措施查询
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllMeasuresHIGHWORK(PageData pd);

	/**有限空间作业查询数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdCONFINEDSPACE(PageData pd);

	/**有限空间作业措施查询
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllMeasuresCONFINEDSPACE(PageData pd);

	/**有限空间作业
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllCONFINEDSPACE(PageData pd);

	/**吊装作业查询数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdHOISTING(PageData pd);

	/**吊装作业措施查询
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllMeasuresHOISTING(PageData pd);


	/**
	 * 获取其他公司柱状图
	 * @param pd
	 * @return
	 */
	List<Map<String,Object>> getEchartsOrder(PageData pd);


	/**
	 * 其他公司获取高危作业统计数据（申请数[COUNTAPPLY]，审批中[COUNTAPPROVE]，归档[COUNTARCHIVE]）
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	PageData statisticsHighRiskWorkByStateOrder(PageData pd);

	/**
	 * 其他公司作业实时情况展示
	 * @param page
	 * @return
	 * @throws Exception
	 */
	List<PageData> realTimeHighRiskWorklistPageOrder(Page page);

	/**临时用电查询数据（有坐标数据）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getELECTRICITYHighRiskWorkLocationOrder(PageData pd);

	/**盲板查询数据（有坐标数据）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getBLINDBOARDHighRiskWorkLocationOrder(PageData pd);

	/**高处作业查询数据（有坐标数据）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getHIGHWORKHighRiskWorkLocationOrder(PageData pd);

	/**有限空间作业查询数据（有坐标数据）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getCONFINEDSPACEHighRiskWorkLocationOrder(PageData pd);

	/**吊装作业查询数据（有坐标数据）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getHOISTINGHighRiskWorkLocationOrder(PageData pd);

	/**破土作业查询数据（有坐标数据）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getBREAKGROUNDHighRiskWorkLocationOrder(PageData pd);


	/**断路作业查询数据（有坐标数据）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getCUTROADHighRiskWorkLocationOrder(PageData pd);

	/**临时用电查询数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdELECTRICITYOrder(PageData pd);

	/**临时用电措施查询
	 * @param pd
	 * @return
	 */
	List<PageData> listAllMeasuresELECTRICITYOrder(PageData pd);


	List<PageData> listAllGasELECTRICTITYOrder(PageData pd);

	/**盲板查询数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdBLINDBOARDOrder(PageData pd);

	/**通过id数据经纬度 盲板
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdJWDOrder(PageData pd);


	/**
	 * 获取盲板安全措施数据
	 * @param pd
	 * @return
	 */
	List<PageData> listAllMeasuresBLINDBOARDOrder(PageData pd);


	/**高处作业查询数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdHIGHWORKOrder(PageData pd);

	/**高处作业措施查询
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllMeasuresHIGHWORKOrder(PageData pd);

	/**吊装作业查询数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdHOISTINGOrder(PageData pd);

	/**吊装作业措施查询
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllMeasuresHOISTINGOrder(PageData pd);

	/**破土作业查询数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdBREAKGROUNDOrder(PageData pd);

	/**破土作业措施查询
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllMeasuresBREAKGROUNDOrder(PageData pd);

	/**断路作业查询数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdCUTROADOrder(PageData pd);

	/**断路作业措施查询
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllMeasuresCUTROADOrder(PageData pd);

    /**
     * 动火获取字典展示
     * @param shuzu
     * @return
     */
	List<String> getListDongHuo(List<String> shuzu);

	/**
	 * 获取cfd动火作业高危作业坐标统计
	 * @param pd
	 * @return
	 */
	List<PageData> getHOTWORKHighRiskWorkLocationCfd(PageData pd);


	List<PageData> findByELECTRICTITYAcceptuserId(PageData pd);

	List<PageData> findByELECTRICTITYAcceptuserIds(PageData pd);

	List<PageData> findByBLINDBOARDAcceptuserId(PageData pd);

	List<PageData> findByBLINDBOARDAcceptuserIds(PageData pd);

	List<PageData> findByCUTROADAcceptuserId(PageData pd);

	List<PageData> findByCUTROADAcceptuserIds(PageData pd);

	List<PageData> findByBREAKGROUNDAcceptuserId(PageData pd);

	List<PageData> findByBREAKGROUNDAcceptuserIds(PageData pd);

	List<PageData> findByHIGHWORKAcceptuserId(PageData pd);

	List<PageData> findByHIGHWORKAcceptuserIds(PageData pd);

	List<PageData> findByHOISTINGAcceptuserId(PageData pd);

	List<PageData> findByHOISTINGAcceptuserIds(PageData pd);

	/**有限空间作业查询
	 * @param pd
	 * @throws Exception
	 */
	PageData findByIdCONFINEDSPACEOrder(PageData pd);

	/**有限空间作业措施查询
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllMeasuresCONFINEDSPACEOrder(PageData pd);

	/**
	 * 有限空间
	 * @param pd
	 * @return
	 */
	List<PageData> listAllCONFINEDSPACEOrder(PageData pd);

	/**
	 * 有限空间
	 * @param pd
	 * @return
	 */
	List<PageData> findByIdCONFINEDSPACEAcceptuser(PageData pd);

	/**
	 * 有限空间
	 * @param pd
	 * @return
	 */
	List<PageData> findByIdCONFINEDSPACEAcceptusers(PageData pd);

	/**
	 * 有限空间气体检测
	 * @param pd
	 * @return
	 */
	PageData findByIdCONFINEDSPACEGasWH(PageData pd);
}

